Description: upstream documentation contains error
 in format.
Subject: fix pod and man page errors
Bug: https://rt.cpan.org/Ticket/Display.html?id=93169
Forwarded: yes
Author: Daniel Lintott <daniel@serverb.co.uk>
Reviewed-by: gregor herrmann <gregoa@debian.org>
Last-Update: 2014-10-18

--- a/bin/migrate-ebs-image.pl
+++ b/bin/migrate-ebs-image.pl
@@ -2,7 +2,7 @@
 
 =head1 NAME
 
-migrate-ebs-image.pl     Copy an EBS-backed Amazon Image from one region to another
+migrate-ebs-image.pl - Copy an EBS-backed Amazon Image from one region to another
 
 =head1 SYNOPSYS
 
--- a/lib/VM/EC2/VPC.pm
+++ b/lib/VM/EC2/VPC.pm
@@ -2,7 +2,7 @@
 
 =head1 NAME
 
-VM::EC2::VPC
+VM::EC2::VPC - Manage EC2 VPC
 
 =head1 SYNOPSIS
 
--- a/lib/VM/EC2/Security/Token.pm
+++ b/lib/VM/EC2/Security/Token.pm
@@ -59,7 +59,7 @@
 expiry time between a few seconds and 36 hours.
 
 A VM::EC2::Security::Credentials object contained within the token
-contains the temporary secret access key, acess key ID, and a session
+contains the temporary secret access key, access key ID, and a session
 token string that unlocks the access key. The credentials object can
 be serialized into a form suitable for sending to a user via a secure
 channel, such as SSL or S/MIME e-mail, and unserialized at the
--- a/lib/VM/EC2/NetworkInterface/PrivateIpAddress.pm
+++ b/lib/VM/EC2/NetworkInterface/PrivateIpAddress.pm
@@ -2,7 +2,7 @@
 
 =head1 NAME
 
-VM::EC2::NetworkInterface::PrivateIpAddress
+VM::EC2::NetworkInterface::PrivateIpAddress - Manage EC2 private IP address
 
 =head1 SYNOPSIS
 
--- a/lib/VM/EC2/Generic.pm
+++ b/lib/VM/EC2/Generic.pm
@@ -163,7 +163,6 @@
 
   $vol->primary_id;
 
-=back
 
 =head2 $xmlns = $object->xmlns
 
--- a/lib/VM/EC2/Dispatch.pm
+++ b/lib/VM/EC2/Dispatch.pm
@@ -294,7 +294,9 @@
     return $class->new($obj,$ec2,@{$parsed}{'xmlns','requestId'});
 }
 
-=head2 @objects = $dispatch->fetch_items($raw_xml,$ec2,$container_tag,$object_class,$nokey)
+=head2 fetch_items($raw_xml,$ec2,$container_tag,$object_class,$nokey)
+
+@objects = $dispatch->fetch_items($raw_xml,$ec2,$container_tag,$object_class,$nokey)
 
 This is used for XML responses like this:
 
--- a/lib/VM/EC2/Instance.pm
+++ b/lib/VM/EC2/Instance.pm
@@ -302,9 +302,13 @@
 follow its progress by calling the returned image object's
 current_status() method.
 
-=head2 $imageId = $instance->create_image($name [,$description])
+=head2 create_image($name [,$description])
 
-=head2 $imageId = $instance->create_image(-name=>$name,-description=>$description,-no_reboot=>$boolean)
+$imageId = $instance->create_image($name [,$description])
+
+=head2 create_image(name,description,no_reboot)
+
+$imageId = $instance->create_image(-name=>$name,-description=>$description,-no_reboot=>$boolean)
 
 Create an image from this instance and return a VM::EC2::Image object.
 The instance must be in the "stopped" or "running" state. In the
--- a/lib/VM/EC2/REST/autoscaling.pm
+++ b/lib/VM/EC2/REST/autoscaling.pm
@@ -18,7 +18,7 @@
     $self->call(@_);
 }
 
-=head1 NAME VM::EC2::REST::autoscaling
+=head1 NAME VM::EC2::REST::autoscaling - Autoscaling groups and launch configurations
 
 =head1 SYNOPSIS
 
@@ -398,7 +398,7 @@
   -name                    Alias for -policy_name
   -auto_scaling_group_name The name or ARN of the Auto Scaling group.
   -scaling_adjustment      Number of instances by which to scale. 
-  -adjustment_type         Specifies wheter -scaling_adjustment is an absolute 
+  -adjustment_type         Specifies whether -scaling_adjustment is an absolute
                            number or a percentage of the current capacity.
                            Valid values are:
         ChangeInCapacity
--- a/lib/VM/EC2/REST/ebs.pm
+++ b/lib/VM/EC2/REST/ebs.pm
@@ -422,7 +422,7 @@
 =head2 $boolean = $ec2->enable_volume_io(-volume_id=>$volume_id)
 
 Given the ID of a volume whose I/O has been disabled (e.g. due to
-hardware degradation), this method will reenable the I/O and return
+hardware degradation), this method will re-enable the I/O and return
 true if successful.
 
 =cut
--- a/lib/VM/EC2/REST/ami.pm
+++ b/lib/VM/EC2/REST/ami.pm
@@ -14,7 +14,7 @@
     CopyImage               => sub { shift->{imageId} },
     );
 
-=head1 NAME VM::EC2::REST::ami
+=head1 NAME VM::EC2::REST::ami - Fetch and manipulate Amazon Machine Images
 
 =head1 SYNOPSIS
 
--- a/lib/VM/EC2/REST/customer_gateway.pm
+++ b/lib/VM/EC2/REST/customer_gateway.pm
@@ -12,7 +12,7 @@
 
 my $VEP = 'VM::EC2::ParmParser';
 
-=head1 NAME VM::EC2::REST::customer_gateway
+=head1 NAME VM::EC2::REST::customer_gateway - Control customer gateways for AWS VPNs
 
 =head1 SYNOPSIS
 
--- a/lib/VM/EC2/REST/devpay.pm
+++ b/lib/VM/EC2/REST/devpay.pm
@@ -4,7 +4,7 @@
 
 package VM::EC2;  # add methods to VM::EC2
 
-=head1 NAME VM::EC2::REST::devpay
+=head1 NAME VM::EC2::REST::devpay - DevPay API
 
 =head1 METHODS
 
--- a/lib/VM/EC2/REST/dhcp.pm
+++ b/lib/VM/EC2/REST/dhcp.pm
@@ -11,7 +11,7 @@
     AssociateDhcpOptions              => 'boolean',
     );
 
-=head1 NAME VM::EC2::REST::dhcp
+=head1 NAME VM::EC2::REST::dhcp - Manage DHCP Option objects
 
 =head1 SYNOPSIS
 
--- a/lib/VM/EC2/REST/elastic_ip.pm
+++ b/lib/VM/EC2/REST/elastic_ip.pm
@@ -15,7 +15,7 @@
     ReleaseAddress    => 'boolean',
     );
 
-=head1 NAME VM::EC2::REST::elastic_ip
+=head1 NAME VM::EC2::REST::elastic_ip - Allocate, attach and delete elastic IP addresses
 
 =head1 SYNOPSIS
 
--- a/lib/VM/EC2/REST/elastic_load_balancer.pm
+++ b/lib/VM/EC2/REST/elastic_load_balancer.pm
@@ -49,7 +49,7 @@
 
 my $VEP = 'VM::EC2::ELB::ParmParser';
 
-=head1 NAME VM::EC2::REST::elastic_load_balancer
+=head1 NAME VM::EC2::REST::elastic_load_balancer - Elastic Load Balancers
 
 =head1 SYNOPSIS
 
--- a/lib/VM/EC2/REST/elastic_network_interface.pm
+++ b/lib/VM/EC2/REST/elastic_network_interface.pm
@@ -14,7 +14,7 @@
     DetachNetworkInterface            => 'boolean',
     );
 
-=head1 NAME VM::EC2::REST::elastic_network_interface
+=head1 NAME VM::EC2::REST::elastic_network_interface - Create and manage Elastic Network Interfaces
 
 =head1 SYNOPSIS
 
--- a/lib/VM/EC2/REST/general.pm
+++ b/lib/VM/EC2/REST/general.pm
@@ -12,7 +12,7 @@
 
 my $VEP = 'VM::EC2::ParmParser';
 
-=head1 NAME VM::EC2::REST::general
+=head1 NAME VM::EC2::REST::general - General EC2 methods
 
 =head1 SYNOPSIS
 
--- a/lib/VM/EC2/REST/internet_gateway.pm
+++ b/lib/VM/EC2/REST/internet_gateway.pm
@@ -12,7 +12,7 @@
     DetachInternetGateway             => 'boolean',
     );
 
-=head1 NAME VM::EC2::REST::internet_gateway
+=head1 NAME VM::EC2::REST::internet_gateway - Create, associate and delete Internet Gateway objects
 
 =head1 SYNOPSIS
 
--- a/lib/VM/EC2/REST/keys.pm
+++ b/lib/VM/EC2/REST/keys.pm
@@ -11,7 +11,7 @@
     DeleteKeyPair        => 'boolean',
     );
 
-=head1 NAME VM::EC2::REST::keys
+=head1 NAME VM::EC2::REST::keys - Manipulate ssh key pairs
 
 =head1 SYNOPSIS
 
--- a/lib/VM/EC2/REST/monitoring.pm
+++ b/lib/VM/EC2/REST/monitoring.pm
@@ -9,7 +9,7 @@
     UnmonitorInstances   => 'fetch_items,instancesSet,VM::EC2::Instance::MonitoringState',
     );
 
-=head1 NAME VM::EC2::REST::monitoring
+=head1 NAME VM::EC2::REST::monitoring - Monitoring of instances
 
 =head1 SYNOPSIS
 
--- a/lib/VM/EC2/REST/network_acl.pm
+++ b/lib/VM/EC2/REST/network_acl.pm
@@ -16,7 +16,7 @@
 
 my $VEP = 'VM::EC2::ParmParser';
 
-=head1 NAME VM::EC2::REST::network_acl
+=head1 NAME VM::EC2::REST::network_acl  - Create and manipulate VPC Network Access Control Lists
 
 =head1 SYNOPSIS
 
--- a/lib/VM/EC2/REST/placement_group.pm
+++ b/lib/VM/EC2/REST/placement_group.pm
@@ -10,7 +10,7 @@
     DescribePlacementGroups           => 'fetch_items,placementGroupSet,VM::EC2::PlacementGroup',
     );
 
-=head1 NAME VM::EC2::REST::placement_group
+=head1 NAME VM::EC2::REST::placement_group - Placement groups
 
 =head1 SYNOPSIS
 
--- a/lib/VM/EC2/REST/private_ip.pm
+++ b/lib/VM/EC2/REST/private_ip.pm
@@ -9,7 +9,7 @@
     UnassignPrivateIpAddresses        => 'boolean',
     );
 
-=head1 NAME VM::EC2::REST::private_ip
+=head1 NAME VM::EC2::REST::private_ip - Control private IP addresses associated with instances
 
 =head1 SYNOPSIS
 
--- a/lib/VM/EC2/REST/reserved_instance.pm
+++ b/lib/VM/EC2/REST/reserved_instance.pm
@@ -22,7 +22,7 @@
 
 my $VEP = 'VM::EC2::ReservedInstance::ParmParser';
 
-=head1 NAME VM::EC2::REST::reserved_instance
+=head1 NAME VM::EC2::REST::reserved_instance - Describing, purchasing and using Reserved Instances
 
 =head1 SYNOPSIS
 
@@ -112,9 +112,9 @@
     return $self->call('DescribeReservedInstancesOfferings',@param);
 }
 
-=head $id = $ec2->purchase_reserved_instances_offering($offering_id)
+=head2 $id = $ec2->purchase_reserved_instances_offering($offering_id)
 
-=head $id = $ec2->purchase_reserved_instances_offering(%args)
+=head2 $id = $ec2->purchase_reserved_instances_offering(%args)
 
 Purchase one or more reserved instances based on an offering.
 
--- a/lib/VM/EC2/REST/route_table.pm
+++ b/lib/VM/EC2/REST/route_table.pm
@@ -16,7 +16,7 @@
     ReplaceRouteTableAssociation      => sub { shift->{newAssociationId} },
     );
 
-=head1 NAME VM::EC2::REST::route_table
+=head1 NAME VM::EC2::REST::route_table - Create and manipulate VPC route tables
 
 =head1 SYNOPSIS
 
--- a/lib/VM/EC2/REST/security_group.pm
+++ b/lib/VM/EC2/REST/security_group.pm
@@ -14,7 +14,7 @@
     RevokeSecurityGroupEgress   => 'boolean',
     );
 
-=head1 NAME VM::EC2::REST::security_group
+=head1 NAME VM::EC2::REST::security_group - Query and manipulate security groups
 
 =head1 SYNOPSIS
 
--- a/lib/VM/EC2/REST/security_token.pm
+++ b/lib/VM/EC2/REST/security_token.pm
@@ -16,7 +16,7 @@
     $self->call(@_);
 }
 
-=head1 NAME VM::EC2::REST::security_token
+=head1 NAME VM::EC2::REST::security_token - AWS security tokens
 
 =head1 SYNOPSIS
 
--- a/lib/VM/EC2/REST/spot_instance.pm
+++ b/lib/VM/EC2/REST/spot_instance.pm
@@ -14,7 +14,7 @@
     RequestSpotInstances              => 'fetch_items,spotInstanceRequestSet,VM::EC2::Spot::InstanceRequest',
     );
 
-=head1 NAME VM::EC2::REST::spot_instance
+=head1 NAME VM::EC2::REST::spot_instance - Request spot instances and manipulate spot data feed subscriptions
 
 =head1 SYNOPSIS
 
@@ -327,6 +327,8 @@
     return $self->call('RequestSpotInstances',@p);
 }
 
+=back
+
 =head2 @requests = $ec2->cancel_spot_instance_requests(@request_ids)
 
 This method cancels the pending requests. It does not terminate any
--- a/lib/VM/EC2/REST/subnet.pm
+++ b/lib/VM/EC2/REST/subnet.pm
@@ -11,7 +11,7 @@
     ModifySubnetAttribute             => 'boolean',
 );
 
-=head1 NAME VM::EC2::REST::subnet
+=head1 NAME VM::EC2::REST::subnet - anage subnet objects and the routing among them
 
 =head1 SYNOPSIS
 
--- a/lib/VM/EC2/REST/tag.pm
+++ b/lib/VM/EC2/REST/tag.pm
@@ -10,7 +10,7 @@
     DescribeTags      => 'fetch_items,tagSet,VM::EC2::Tag,nokey',
     );
 
-=head1 NAME VM::EC2::REST::tag
+=head1 NAME VM::EC2::REST::tag - Create, delete and fetch resource tags
 
 =head1 SYNOPSIS
  
--- a/lib/VM/EC2/REST/vm_export.pm
+++ b/lib/VM/EC2/REST/vm_export.pm
@@ -4,7 +4,7 @@
 use VM::EC2 '';   # important not to import anything!
 package VM::EC2;  # add methods to VM::EC2
 
-=head1 NAME VM::EC2::REST::vm_export
+=head1 NAME VM::EC2::REST::vm_export - Export a VM to a non-EC2 environment
 
 =head1 SYNOPSIS
 
--- a/lib/VM/EC2/REST/vm_import.pm
+++ b/lib/VM/EC2/REST/vm_import.pm
@@ -4,7 +4,7 @@
 use VM::EC2 '';   # important not to import anything!
 package VM::EC2;  # add methods to VM::EC2
 
-=head1 NAME VM::EC2::REST::vm_import
+=head1 NAME VM::EC2::REST::vm_import - Import of AMIs from other VM systems
 
 =head1 SYNOPSIS
 
--- a/lib/VM/EC2/REST/vpc.pm
+++ b/lib/VM/EC2/REST/vpc.pm
@@ -19,7 +19,7 @@
 
 my $VEP = 'VM::EC2::ParmParser';
 
-=head1 NAME VM::EC2::REST::vpc
+=head1 NAME VM::EC2::REST::vpc - EC2 virtual private clouds
 
 =head1 SYNOPSIS
 
--- a/lib/VM/EC2/REST/vpn.pm
+++ b/lib/VM/EC2/REST/vpn.pm
@@ -14,7 +14,7 @@
 
 my $VEP = 'VM::EC2::ParmParser';
 
-=head1 NAME VM::EC2::REST::vpn
+=head1 NAME VM::EC2::REST::vpn - create and manage the connections of VPN to Amazon VPC
 
 =head1 SYNOPSIS
 
--- a/lib/VM/EC2/REST/vpn_gateway.pm
+++ b/lib/VM/EC2/REST/vpn_gateway.pm
@@ -16,7 +16,7 @@
 
 my $VEP = 'VM::EC2::ParmParser';
 
-=head1 NAME VM::EC2::REST::vpn_gateway
+=head1 NAME VM::EC2::REST::vpn_gateway - Create and manage Virtual Private Network Gateways
 
 =head1 SYNOPSIS
 
--- a/lib/VM/EC2/REST/windows.pm
+++ b/lib/VM/EC2/REST/windows.pm
@@ -6,7 +6,7 @@
 
 VM::EC2::Dispatch->register(GetPasswordData      => 'VM::EC2::Instance::PasswordData');
 
-=head1 NAME VM::EC2::REST::windows
+=head1 NAME VM::EC2::REST::windows - Windows platform-related functions
 
 =head1 SYNOPSIS
 
--- a/lib/VM/EC2/REST/zone.pm
+++ b/lib/VM/EC2/REST/zone.pm
@@ -9,7 +9,7 @@
     DescribeAvailabilityZones  => 'fetch_items,availabilityZoneInfo,VM::EC2::AvailabilityZone',
 );
 
-=head1 NAME VM::EC2::REST::zone
+=head1 NAME VM::EC2::REST::zone - Fetch information on EC2 regions and availability zones
 
 =head1 SYNOPSIS
 
--- a/lib/VM/EC2.pm
+++ b/lib/VM/EC2.pm
@@ -1056,7 +1056,7 @@
 
 Load the 'keys' module to bring in methods for creating and
 manipulating SSH keypairs. This module is loaded with the ':standard'
-group and documented in L<VM::EC2::REST::keys.
+group and documented in L<VM::EC2::REST::keys>.
 
  @k = $ec2->describe_key_pairs(@names);
  $k = $ec2->create_key_pair($name)
--- a/lib/VM/EC2/REST/relational_database_service.pm
+++ b/lib/VM/EC2/REST/relational_database_service.pm
@@ -69,7 +69,7 @@
 
 my $VEP = 'VM::EC2::ParmParser';
 
-=head1 NAME VM::EC2::REST::relational_database_service
+=head1 NAME VM::EC2::REST::relational_database_service - accessors for the AWS Relational Database Service
 
 =head1 SYNOPSIS
 
